diff --git a/libopts/text_mmap.c b/libopts/text_mmap.c
index 93639c2c8..60b79efa3 100644
--- a/libopts/text_mmap.c
+++ b/libopts/text_mmap.c
@@ -189,7 +189,7 @@ validate_mmap(char const * fname, int prot, int flags, tmap_info_t * mapinfo)
 #ifdef _WIN32
             O_BINARY |
 #endif
-            FILE_WRITABLE(prot, flags) ? O_RDWR : O_RDONLY;
+            ((FILE_WRITABLE(prot, flags)) ? O_RDWR : O_RDONLY);
 
         /*
          *  If you're not sharing the file and you are writing to it,
diff --git a/src/common/cache.c b/src/common/cache.c
index 18829ed79..7c3230d07 100644
--- a/src/common/cache.c
+++ b/src/common/cache.c
@@ -255,10 +255,7 @@ tcpr_dir_t
 add_cache(tcpr_cache_t ** cachedata, const int send, const tcpr_dir_t interface)
 {
     static tcpr_cache_t *lastcache = NULL;
-    u_char *byte = NULL;
-    uint32_t bit;
     tcpr_dir_t result = TCPR_DIR_ERROR;
-    COUNTER index;
 #ifdef DEBUG
     char bitstring[9] = EIGHT_ZEROS;
 #endif
@@ -288,6 +285,10 @@ add_cache(tcpr_cache_t ** cachedata, const int send, const tcpr_dir_t interface)
 
     /* send packet ? */
     if (send == SEND) {
+        COUNTER index;
+        uint32_t bit;
+        u_char *byte;
+
         index = (lastcache->packets - 1) / (COUNTER)CACHE_PACKETS_PER_BYTE;
         bit = (((lastcache->packets - 1) % (COUNTER)CACHE_PACKETS_PER_BYTE) * 
                (COUNTER)CACHE_BITS_PER_PACKET) + 1;
@@ -318,8 +319,7 @@ add_cache(tcpr_cache_t ** cachedata, const int send, const tcpr_dir_t interface)
         dbgx(3, "Current cache byte: %c%c%c%c%c%c%c%c",
             BIT_STR(byte2bits(*byte, bitstring)));
 #endif
-    }
-    else {
+    } else {
         dbg(1, "not setting send bit");
         result = TCPR_DIR_NOSEND;
     }
diff --git a/src/common/cidr.c b/src/common/cidr.c
index 067f99d65..45de04d89 100644
--- a/src/common/cidr.c
+++ b/src/common/cidr.c
@@ -275,9 +275,8 @@ cidr2cidr(char *cidr)
 static void 
 mask_cidr6(char **cidrin, char* delim)
 {
-    char *p;
-
     if (**cidrin == '[' && *delim == ':') {
+        char *p;
         ++*cidrin;
         /* make strtok happy */
         for (p = *cidrin; *p && *p != ']'; ++p) {
@@ -298,12 +297,12 @@ int
 parse_cidr(tcpr_cidr_t ** cidrdata, char *cidrin, char *delim)
 {
     tcpr_cidr_t *cidr_ptr;             /* ptr to current cidr record */
-    char *network = NULL;
+    char *network;
     char *token = NULL;
 
     mask_cidr6(&cidrin, delim);
 
-    /* first itteration of input using strtok */
+    /* first iteration of input using strtok */
     network = strtok_r(cidrin, delim, &token);
 
     *cidrdata = cidr2cidr(network);
@@ -408,8 +407,8 @@ int
 parse_cidr_map(tcpr_cidrmap_t **cidrmap, const char *optarg)
 {
     tcpr_cidr_t *cidr = NULL;
-    char *map = NULL;
-    char *token = NULL, *string = NULL;
+    char *map;
+    char *token = NULL, *string;
     tcpr_cidrmap_t *ptr;
     int res = 0;
     
diff --git a/src/common/get.c b/src/common/get.c
index 081be1931..2fca4e5ea 100644
--- a/src/common/get.c
+++ b/src/common/get.c
@@ -562,9 +562,6 @@ get_name2addr4(const char *hostname, bool dnslookup)
 #if ! defined HAVE_INET_ATON && defined HAVE_INET_ADDR
     struct hostent *host_ent; 
 #endif
-    uint32_t m;
-    u_int val;
-    int i;
 
     if (dnslookup) {
 #ifdef HAVE_INET_ATON
@@ -576,7 +573,7 @@ get_name2addr4(const char *hostname, bool dnslookup)
         if ((addr.s_addr = inet_addr(hostname)) == INADDR_NONE) {
             if (!(host_ent = gethostbyname(hostname))) {
                 warnx("unable to resolve %s: %s", hostname, strerror(errno));
-                /* XXX - this is actually 255.255.255.255 */
+                /* this is actually 255.255.255.255 */
                 return (0xffffffff);
             }
 
@@ -590,11 +587,13 @@ get_name2addr4(const char *hostname, bool dnslookup)
 #endif
         /* return in network byte order */
         return (addr.s_addr);
-    }
-    /*
-     *  We only want dots 'n decimals.
-     */
-    else {
+    } else {
+        /*
+         *  We only want dots 'n decimals.
+         */
+        int i;
+        uint32_t m;
+
         if (!isdigit(hostname[0])) {
             warnx("Expected dotted-quad notation (%s) when DNS lookups are disabled", 
                     hostname);
@@ -605,6 +604,8 @@ get_name2addr4(const char *hostname, bool dnslookup)
 
         m = 0;
         for (i = 0; i < 4; i++) {
+            u_int val;
+
             m <<= 8;
             if (*hostname) {
                 val = 0;
@@ -613,7 +614,7 @@ get_name2addr4(const char *hostname, bool dnslookup)
                     val += *hostname - '0';
                     if (val > 255) {
                         dbgx(4, "value %d > 255 for dotted quad", val);
-                        /* XXX - this is actually 255.255.255.255 */
+                        /* this is actually 255.255.255.255 */
                         return (-1);
                     }
                     hostname++;
diff --git a/src/common/interface.c b/src/common/interface.c
index 23cb65a56..c519a24c9 100644
--- a/src/common/interface.c
+++ b/src/common/interface.c
@@ -81,7 +81,6 @@ get_interface_list(void)
     DIR *dir;
     struct dirent *dirdata;
 #ifdef HAVE_NETMAP
-    int fd = -1;
     nmreq_t nmr;
 #endif
 #ifdef HAVE_NETMAP
@@ -129,6 +128,8 @@ get_interface_list(void)
                 && strcmp("any", pcap_if_ptr->name)) {
 #endif
 #ifdef HAVE_NETMAP
+            int fd;
+
             if (netmap_version != -1 && (fd = open ("/dev/netmap", O_RDWR)) < 0)
                 continue;
             bzero(&nmr, sizeof(nmr));
diff --git a/src/common/mac.c b/src/common/mac.c
index a10555c75..fb54663b5 100644
--- a/src/common/mac.c
+++ b/src/common/mac.c
@@ -36,7 +36,6 @@ void
 mac2hex(const char *mac, u_char *dst, int len)
 {
     int i;
-    long l;
     char *pp;
 
     if (len < 6)
@@ -47,7 +46,7 @@ mac2hex(const char *mac, u_char *dst, int len)
 
     /* expect 6 hex octets separated by ':' or space/NUL if last octet */
     for (i = 0; i < 6; i++) {
-        l = strtol(mac, &pp, 16);
+        long l = strtol(mac, &pp, 16);
         if (pp == mac || l > 0xFF || l < 0)
             return;
         if (!(*pp == ':' || (i == 5 && (isspace(*pp) || *pp == '\0'))))
diff --git a/src/common/netmap.c b/src/common/netmap.c
index faacea9a1..9422218e7 100644
--- a/src/common/netmap.c
+++ b/src/common/netmap.c
@@ -342,7 +342,7 @@ sendpacket_open_netmap(const char *device, char *errbuf, void *arg) {
 
     if (ioctl (sp->handle.fd, NIOCREGIF, &nmr)) {
         snprintf(errbuf, SENDPACKET_ERRBUF_SIZE, "Failure accessing netmap.\n"
-                "\tRequest for netmap version %u failed.\n\tCompiled netmap driver is version %u.\n\tError=%s\n",
+                "\tRequest for netmap version %d failed.\n\tCompiled netmap driver is version %d.\n\tError=%s\n",
                 sp->netmap_version, NETMAP_API, strerror(errno));
         goto NETMAP_IF_FAILED;
     }
diff --git a/src/common/sendpacket.c b/src/common/sendpacket.c
index d4704733c..6ba9c585b 100644
--- a/src/common/sendpacket.c
+++ b/src/common/sendpacket.c
@@ -239,7 +239,7 @@ sendpacket(sendpacket_t *sp, const u_char *data, size_t len, struct pcap_pkthdr
     assert(sp);
     assert(data);
 
-    if (len <= 0)
+    if (len == 0)
         return -1;
 
 TRY_SEND_AGAIN:
@@ -866,9 +866,12 @@ sendpacket_open_pf(const char *device, char *errbuf)
     sendpacket_t *sp;
     struct ifreq ifr;
     struct sockaddr_ll sa;
-    int n = 1, err;
+    int err;
     socklen_t errlen = sizeof(err);
     unsigned int UNUSED(mtu) = 1500;
+#ifdef SO_BROADCAST
+    int n = 1;
+#endif
 
     assert(device);
     assert(errbuf);
diff --git a/src/common/utils.c b/src/common/utils.c
index 686020cb1..0dbc0891e 100644
--- a/src/common/utils.c
+++ b/src/common/utils.c
@@ -117,7 +117,6 @@ _our_safe_free(void *ptr, const char *funcname, const int line, const char *file
         return;
 
     free(ptr);
-    ptr = NULL;
 }
 
 /**
diff --git a/src/fragroute/mod_delay.c b/src/fragroute/mod_delay.c
index bb4bfcf67..6f7de5301 100644
--- a/src/fragroute/mod_delay.c
+++ b/src/fragroute/mod_delay.c
@@ -60,7 +60,7 @@ delay_open(int argc, char *argv[])
     else
         return (delay_close(data));
 
-    if ((usec = atoi(argv[2])) <= 0)
+    if ((usec = atoi(argv[2])) == 0)
         return (delay_close(data));
 
     usec *= 1000;
diff --git a/src/fragroute/mod_ip_chaff.c b/src/fragroute/mod_ip_chaff.c
index 2d8c0e8ce..bc08b8ba0 100644
--- a/src/fragroute/mod_ip_chaff.c
+++ b/src/fragroute/mod_ip_chaff.c
@@ -71,11 +71,10 @@ ip_chaff_apply(void *d, struct pktq *pktq)
     struct pkt *pkt, *new, *next;
     struct ip_opt opt;
     int i;
-    uint16_t eth_type;
 
     for (pkt = TAILQ_FIRST(pktq); pkt != TAILQ_END(pktq); pkt = next) {
         next = TAILQ_NEXT(pkt, pkt_next);
-        eth_type = htons(pkt->pkt_eth->eth_type);
+        uint16_t eth_type = htons(pkt->pkt_eth->eth_type);
 
         if (pkt->pkt_ip_data == NULL)
             continue;
diff --git a/src/fragroute/mod_tcp_chaff.c b/src/fragroute/mod_tcp_chaff.c
index 757940c47..9ec2c2760 100644
--- a/src/fragroute/mod_tcp_chaff.c
+++ b/src/fragroute/mod_tcp_chaff.c
@@ -81,16 +81,15 @@ tcp_chaff_apply(void *d, struct pktq *pktq)
 {
     struct tcp_chaff_data *data = (struct tcp_chaff_data *)d;
     struct pkt *pkt, *new, *next;
-    struct tcp_opt opt;
-    int i;
-    uint16_t eth_type;
-    uint8_t nxt;
 
     for (pkt = TAILQ_FIRST(pktq); pkt != TAILQ_END(pktq); pkt = next) {
-        next = TAILQ_NEXT(pkt, pkt_next);
+        struct tcp_opt opt;
+        int i;
+        uint16_t eth_type;
+        uint8_t nxt;
 
+        next = TAILQ_NEXT(pkt, pkt_next);
         eth_type = htons(pkt->pkt_eth->eth_type);
-
         if (pkt->pkt_ip == NULL)
             continue;
 
@@ -103,8 +102,8 @@ tcp_chaff_apply(void *d, struct pktq *pktq)
         }
 
         if (nxt != IP_PROTO_TCP ||
-            pkt->pkt_tcp == NULL || pkt->pkt_tcp_data == NULL ||
-            (pkt->pkt_tcp->th_flags & TH_ACK) == 0)
+                pkt->pkt_tcp == NULL || pkt->pkt_tcp_data == NULL ||
+                (pkt->pkt_tcp->th_flags & TH_ACK) == 0)
             continue;
 
         new = pkt_dup(pkt);
diff --git a/src/fragroute/mod_tcp_opt.c b/src/fragroute/mod_tcp_opt.c
index 3e47b2a23..e645fcc59 100644
--- a/src/fragroute/mod_tcp_opt.c
+++ b/src/fragroute/mod_tcp_opt.c
@@ -71,9 +71,9 @@ tcp_opt_apply(void *d, struct pktq *pktq)
 {
     struct tcp_opt *opt = (struct tcp_opt *)d;
     struct pkt *pkt;
-    size_t len;
 
     TAILQ_FOREACH(pkt, pktq, pkt_next) {
+        size_t len;
         uint16_t eth_type = htons(pkt->pkt_eth->eth_type);
 
         len = inet_add_option(eth_type, pkt->pkt_ip,
diff --git a/src/fragroute/mod_tcp_seg.c b/src/fragroute/mod_tcp_seg.c
index 6b055fd47..710d80b3c 100644
--- a/src/fragroute/mod_tcp_seg.c
+++ b/src/fragroute/mod_tcp_seg.c
@@ -71,13 +71,14 @@ int
 tcp_seg_apply(_U_ void *d, struct pktq *pktq)
 {
     struct pkt *pkt, *new, *next;
-    uint32_t seq;
-    int hl, tl, len;
-    u_char *p, *p1, *p2;
-    uint16_t eth_type;
-    uint8_t nxt;
 
     for (pkt = TAILQ_FIRST(pktq); pkt != TAILQ_END(pktq); pkt = next) {
+        uint32_t seq;
+        int hl, tl, len;
+        u_char *p;
+        uint16_t eth_type;
+        uint8_t nxt;
+
         next = TAILQ_NEXT(pkt, pkt_next);
 
         eth_type = htons(pkt->pkt_eth->eth_type);
@@ -111,6 +112,8 @@ tcp_seg_apply(_U_ void *d, struct pktq *pktq)
         seq = ntohl(pkt->pkt_tcp->th_seq);
 
         for (p = pkt->pkt_tcp_data; p < pkt->pkt_end; p += len) {
+            u_char *p1, *p2;
+
             new = pkt_new(pkt->pkt_buf_size);
             memcpy(new->pkt_eth, pkt->pkt_eth, (u_char*)pkt->pkt_eth_data - (u_char*)pkt->pkt_eth);
             p1 = p, p2 = NULL;
diff --git a/src/tcpcapinfo.c b/src/tcpcapinfo.c
index a86d521ae..992b88765 100644
--- a/src/tcpcapinfo.c
+++ b/src/tcpcapinfo.c
@@ -283,7 +283,7 @@ main(int argc, char *argv[])
 
             if (caplentoobig) {
                 printf("\n\nCapture file appears to be damaged or corrupt.\n"
-                        "Contains packet of size %u, bigger than snap length %u\n",
+                        "Contains packet of size %d, bigger than snap length %u\n",
                         caplen, pcap_fh.snaplen);
 
                 close(fd);
diff --git a/src/tcpedit/edit_packet.c b/src/tcpedit/edit_packet.c
index cd3e23609..432528c8d 100644
--- a/src/tcpedit/edit_packet.c
+++ b/src/tcpedit/edit_packet.c
@@ -998,9 +998,8 @@ int
 randomize_iparp(tcpedit_t *tcpedit, struct pcap_pkthdr *pkthdr, 
         u_char *pktdata, int datalink)
 {
-    arp_hdr_t *arp_hdr = NULL;
-    int l2len = 0;
-    uint32_t *ip;
+    arp_hdr_t *arp_hdr ;
+    int l2len;
 #ifdef FORCE_ALIGN
     uint32_t iptemp;
 #endif
@@ -1016,12 +1015,13 @@ randomize_iparp(tcpedit_t *tcpedit, struct pcap_pkthdr *pkthdr,
      * only rewrite IP addresses from REPLY/REQUEST's
      */
     if ((ntohs(arp_hdr->ar_pro) == ETHERTYPE_IP) &&
-        ((ntohs(arp_hdr->ar_op) == ARPOP_REQUEST) ||
-         (ntohs(arp_hdr->ar_op) == ARPOP_REPLY))) {
-
+            ((ntohs(arp_hdr->ar_op) == ARPOP_REQUEST) ||
+                    (ntohs(arp_hdr->ar_op) == ARPOP_REPLY))) {
         /* jump to the addresses */
+        uint32_t *ip;
         u_char *add_hdr = ((u_char *)arp_hdr) + sizeof(arp_hdr_t) +
                 arp_hdr->ar_hln;
+
 #ifdef FORCE_ALIGN
         /* copy IP to a temporary buffer for processing */
         memcpy(&iptemp, add_hdr, sizeof(uint32_t));
diff --git a/src/tcpedit/parse_args.c b/src/tcpedit/parse_args.c
index 5e16e8157..8220f6c3f 100644
--- a/src/tcpedit/parse_args.c
+++ b/src/tcpedit/parse_args.c
@@ -39,7 +39,6 @@ int
 tcpedit_post_args(tcpedit_t *tcpedit) {
     int rcode = 0;
     int i;
-    long ttl;
     uint32_t seed = 1, rand_num;
 
     assert(tcpedit);
@@ -109,6 +108,8 @@ tcpedit_post_args(tcpedit_t *tcpedit) {
 
     /* --ttl */
     if (HAVE_OPT(TTL)) {
+        long ttl;
+
         if (strchr(OPT_ARG(TTL), '+')) {
             tcpedit->ttl_mode = TCPEDIT_TTL_MODE_ADD;            
         } else if (strchr(OPT_ARG(TTL), '-')) {
diff --git a/src/tcpedit/plugins/dlt_ieee80211/ieee80211.c b/src/tcpedit/plugins/dlt_ieee80211/ieee80211.c
index a75865066..458fdf76f 100644
--- a/src/tcpedit/plugins/dlt_ieee80211/ieee80211.c
+++ b/src/tcpedit/plugins/dlt_ieee80211/ieee80211.c
@@ -325,10 +325,8 @@ int
 dlt_ieee80211_l2len(tcpeditdlt_t *ctx, const u_char *packet, const int pktlen)
 {
     uint16_t *frame_control, fc;
-    struct tcpr_802_2snap_hdr *hdr;
     int hdrlen = 0;
 
-
     assert(ctx);
     assert(packet);
 
@@ -353,7 +351,8 @@ dlt_ieee80211_l2len(tcpeditdlt_t *ctx, const u_char *packet, const int pktlen)
     }
 
     if (pktlen >= (hdrlen + (int)sizeof(struct tcpr_802_2snap_hdr))) {
-    
+        struct tcpr_802_2snap_hdr *hdr;
+
         hdr = (struct tcpr_802_2snap_hdr *)&packet[hdrlen];
     
         /* verify the header is 802.2SNAP (8 bytes) not 802.2 (3 bytes) */
diff --git a/src/tcpedit/plugins/dlt_ieee80211/ieee80211_hdr.c b/src/tcpedit/plugins/dlt_ieee80211/ieee80211_hdr.c
index 090e0ae1b..bdc6d83ed 100644
--- a/src/tcpedit/plugins/dlt_ieee80211/ieee80211_hdr.c
+++ b/src/tcpedit/plugins/dlt_ieee80211/ieee80211_hdr.c
@@ -171,8 +171,6 @@ ieee80211_get_src(const void *header)
 u_char *
 ieee80211_get_dst(const void *header)
 {
-    ieee80211_hdr_t *addr3;
-    ieee80211_addr4_hdr_t *addr4;
     uint16_t *frame_control, fc;
 
     assert(header);
@@ -180,10 +178,11 @@ ieee80211_get_dst(const void *header)
     fc = ntohs(*frame_control);
 
     if (ieee80211_USE_4(fc)) {
-        addr4 = (ieee80211_addr4_hdr_t *)header;
+        ieee80211_addr4_hdr_t *addr4 = (ieee80211_addr4_hdr_t *)header;
         return addr4->addr3;
     } else {
-        addr3 = (ieee80211_hdr_t *)header;
+        ieee80211_hdr_t *addr3 = (ieee80211_hdr_t *)header;
+
         switch (fc & (ieee80211_FC_TO_DS_MASK + ieee80211_FC_FROM_DS_MASK)) {
             case ieee80211_FC_TO_DS_MASK:
                 return addr3->addr3;
diff --git a/src/tcpedit/plugins/dlt_jnpr_ether/jnpr_ether.c b/src/tcpedit/plugins/dlt_jnpr_ether/jnpr_ether.c
index b52f3303f..3454006a9 100644
--- a/src/tcpedit/plugins/dlt_jnpr_ether/jnpr_ether.c
+++ b/src/tcpedit/plugins/dlt_jnpr_ether/jnpr_ether.c
@@ -152,7 +152,6 @@ int
 dlt_jnpr_ether_cleanup(tcpeditdlt_t *ctx)
 {
     tcpeditdlt_plugin_t *plugin;
-    jnpr_ether_config_t *config;
     
     assert(ctx);
 
@@ -169,6 +168,8 @@ dlt_jnpr_ether_cleanup(tcpeditdlt_t *ctx)
     
     if (plugin->config != NULL) {
         /* clean up the en10mb plugin */
+        jnpr_ether_config_t * config;
+
         config = (jnpr_ether_config_t *)ctx->encoder->config;
         tcpedit_dlt_cleanup(config->subctx);
         plugin->config = NULL;
diff --git a/src/tcpedit/plugins/dlt_plugins.c b/src/tcpedit/plugins/dlt_plugins.c
index 018f5152e..4577f90e1 100644
--- a/src/tcpedit/plugins/dlt_plugins.c
+++ b/src/tcpedit/plugins/dlt_plugins.c
@@ -180,7 +180,7 @@ int
 tcpedit_dlt_post_args(tcpedit_t *tcpedit)
 {
     tcpeditdlt_t *ctx;
-    const char *dst_dlt_name = NULL;
+    const char *dst_dlt_name;
     int rcode;
     
     assert(tcpedit);
diff --git a/src/tcpliveplay.c b/src/tcpliveplay.c
index dd6014a56..d369c7f82 100644
--- a/src/tcpliveplay.c
+++ b/src/tcpliveplay.c
@@ -226,7 +226,7 @@ main(int argc, char **argv)
     }
 
     relative_sched(sched, sched[1].exp_rseq, num_packets);
-    printf("Packets Scheduled %d\n", pkts_scheduled);
+    printf("Packets Scheduled %u\n", pkts_scheduled);
 
     /* Open socket for savedfile traffic to be sent*/
     local_handle = pcap_open_offline("newfile.pcap", errbuf);   /*call pcap library function*/
@@ -305,7 +305,7 @@ main(int argc, char **argv)
         else if(different_payload){
             printf("\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n");
             printf("+ WARNING: Remote host is not meeting packet size expectations.               +\n"); 
-            printf("+ for packet %-d. Application layer data differs from capture being replayed.  +\n", diff_payload_index+1);
+            printf("+ for packet %-u. Application layer data differs from capture being replayed.  +\n", diff_payload_index+1);
             printf("+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n\n"); 
             printf("Requesting retransmission.\n Proceeding...\n");
             different_payload = false;  
@@ -315,7 +315,7 @@ main(int argc, char **argv)
         if(sched[sched_index].local) {
             /*Reset alarm timeout*/
             alarm (ALARM_TIMEOUT);
-            printf("Sending Local Packet...............	[%d]\n",sched_index+1); 
+            printf("Sending Local Packet...............	[%u]\n", sched_index + 1);
           
             /* edit each packet tcphdr before sending based on the schedule*/  
             if(sched_index>0){ 
@@ -326,7 +326,7 @@ main(int argc, char **argv)
             /* If 3 attempts of resending was made, then error out to the user */
             if(sched[sched_index].sent_counter==3){
                 printf("\n++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n");
-                printf("+ ERROR: Re-sent packet [%-d] 3 times, but remote host is not  +\n", sched_index+1); 
+                printf("+ ERROR: Re-sent packet [%-u] 3 times, but remote host is not  +\n", sched_index+1);
                 printf("+ responding as expected. 3 resend attempts are a maximum.     +\n");
                 printf("+ Closing replay...                                            +\n");
                 printf("++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n\n");
@@ -364,22 +364,22 @@ main(int argc, char **argv)
     /* User Debug Result Printouts*/
     if(sched_index==pkts_scheduled){
         printf("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"); 
-        printf("~ CONGRATS!!! You have successfully Replayed your pcap file '%s'  \n", argv[2]);
+        printf("~ CONGRATS!!! You have successfully Replayed your pcap file '%s'\n", argv[2]);
         printf("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n\n");
     }
     else {
         printf("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"); 
-        printf("~ Unfortunately an error has occurred  halting the replay of  \n");
-        printf("~ the pcap file '%s'. Please see error above for details...   \n", argv[2]);
+        printf("~ Unfortunately an error has occurred  halting the replay of\n");
+        printf("~ the pcap file '%s'. Please see error above for details...\n", argv[2]);
         printf("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n\n");
     }
 
     printf("----------------TCP Live Play Summary----------------\n");
-    printf("- Packets Scheduled to be Sent & Received:          %-d   \n", pkts_scheduled);
-    printf("- Actual Packets Sent & Received:                   %-d   \n", sched_index);
-    printf("- Total Local Packet Re-Transmissions due to packet       \n");
-    printf("- loss and/or differing payload size than expected: %-d   \n", retransmissions);
-    printf("- Thank you for Playing, Play again!                      \n");
+    printf("- Packets Scheduled to be Sent & Received:          %-u\n", pkts_scheduled);
+    printf("- Actual Packets Sent & Received:                   %-u\n", sched_index);
+    printf("- Total Local Packet Re-Transmissions due to packet\n");
+    printf("- loss and/or differing payload size than expected: %-u\n", retransmissions);
+    printf("- Thank you for Playing, Play again!\n");
     printf("----------------------------------------------------------\n\n");
 
     free(sched);
@@ -470,14 +470,15 @@ setup_sched(struct tcp_sched* sched){
 
     input_addr sip, dip;  /* Source & Destination IP */ 
     input_addr local_ip, remote_ip;    /* ip address of client and server*/
-    /*temporary packet buffers*/
-    struct pcap_pkthdr header;  // The header that pcap gives us
-    const u_char *packet;       // The actual packet
     pcap_t *local_handle;
+    const u_char *packet;       /* The actual packet */
+    unsigned int flags=0;
+    struct pcap_pkthdr header;  // The header that pcap gives us
     unsigned int pkt_counter=0;
-    ether_hdr *etherhdr = NULL;
-    tcp_hdr *tcphdr = NULL;
-    ipv4_hdr *iphdr = NULL;
+    bool remote = false;    /* flags to test if data is from 'client'=local or 'server'=remote */
+    bool local = false;
+    unsigned int i = 0;
+
     local_ip.byte1=0; 
     local_ip.byte2=0; 
     local_ip.byte3=0; 
@@ -488,13 +489,7 @@ setup_sched(struct tcp_sched* sched){
     remote_ip.byte3=0; 
     remote_ip.byte4=0; 
 
-    unsigned int size_ip, i = 0; 
-    unsigned int size_tcp; 
-    unsigned int size_payload; 
     char errbuf[PCAP_ERRBUF_SIZE];
-    unsigned int flags=0; 
-    bool remote = false;    /* flags to test if data is from 'cleint'=local or 'server'=remote */
-    bool local = false; 
 
 
     local_handle = pcap_open_offline("newfile.pcap", errbuf);   /*call pcap library function*/
@@ -505,12 +500,18 @@ setup_sched(struct tcp_sched* sched){
     }
 
     /*Before sending any packet, setup the schedule with the proper parameters*/
-    while((packet = safe_pcap_next(local_handle,&header))) {
+    while((packet = safe_pcap_next(local_handle, &header))) {
+        /*temporary packet buffers*/
+        ether_hdr *etherhdr;
+        tcp_hdr *tcphdr;
+        ipv4_hdr *iphdr;
+        unsigned int size_ip;
+        unsigned int size_tcp;
+        unsigned int size_payload;
+
         pkt_counter++; /*increment number of packets seen*/
 
         memcpy(&sched[i].pkthdr, &header, sizeof(struct pcap_pkthdr));
-        //sched[i].len = header.len; 
-        //sched[i].caplen = header.caplen; 
         sched[i].packet_ptr = safe_malloc(sched[i].pkthdr.len);
         memcpy(sched[i].packet_ptr, packet, sched[i].pkthdr.len);
 
@@ -611,7 +612,6 @@ setup_sched(struct tcp_sched* sched){
             //printf("REMOTE --------%d\n",i+1);
         }
 
-
         i++; /* increment schedule index */
 
     } /*end internal loop for reading packets (all in one file)*/
@@ -743,7 +743,7 @@ got_packet(_U_ u_char *args, _U_ const struct pcap_pkthdr *header,
     /* Check correct SYN-ACK expectation, if so then proceed in fixing entire schedule from relative to absolute SEQs+ACKs */
     if((flags == (TH_SYN|TH_ACK)) && (sched_index==1) && (tcphdr->th_ack==htonl(sched[sched_index-1].curr_lseq + 1))){
         unsigned int j;
-        printf("Received Remote Packet...............	[%d]\n",sched_index+1);
+        printf("Received Remote Packet...............	[%u]\n", sched_index + 1);
         printf("Remote Pakcet Expectation met.\nProceeding in replay....\n");
         //printf("SYN-ACKed Random SEQ set!\n");
         initial_rseq = ntohl(tcphdr->th_seq); 
@@ -939,16 +939,10 @@ int
 rewrite(input_addr* new_remoteip, struct mac_addr* new_remotemac, input_addr* myip, struct mac_addr* mymac, char* file, unsigned int new_src_port)
 {
 
-    ether_hdr* etherhdr; 
-    ipv4_hdr *iphdr;
-    tcp_hdr *tcphdr;
+    char *newfile = "newfile.pcap";
+    int pkt_counter;
     input_addr local_ip; 
     input_addr remote_ip; 
-    unsigned int size_ip;
-    unsigned int size_tcp; 
-    char* newfile = "newfile.pcap";
-    char ErrBuff [1024];
-    int pkt_counter;
     const u_char *packet;
     struct pcap_pkthdr *header;
     pcap_dumper_t *dumpfile;
@@ -969,6 +963,7 @@ rewrite(input_addr* new_remoteip, struct mac_addr* new_remotemac, input_addr* my
 
     pcap_t *pcap = set_offline_filter(file); 
     if (!pcap){
+        char ErrBuff [1024];
         fprintf (stderr, "Cannot open PCAP file '%s' for reading\n", file);
         fprintf(stderr, "%s\n",ErrBuff);
         return PCAP_OPEN_ERROR;
@@ -982,7 +977,11 @@ rewrite(input_addr* new_remoteip, struct mac_addr* new_remotemac, input_addr* my
 
     /*Modify each packet's IP & MAC based on the passed args then do a checksum of each packet*/
     for (pkt_counter = 0; safe_pcap_next_ex(pcap, &header, &packet) > 0; pkt_counter++){
-        unsigned int flags;
+        unsigned int flags, size_ip;
+        ether_hdr* etherhdr;
+        ipv4_hdr *iphdr;
+        tcp_hdr *tcphdr;
+        unsigned int size_tcp;
 
         if (!warned && header->len > header->caplen) {
             fprintf(stderr, "warning: packet capture truncated to %d byte packets\n",
diff --git a/src/tcpprep_api.c b/src/tcpprep_api.c
index 0a7d9716e..2bd51b2bb 100644
--- a/src/tcpprep_api.c
+++ b/src/tcpprep_api.c
@@ -365,7 +365,7 @@ int
 tcpprep_post_args(tcpprep_t *ctx, int argc, char *argv[])
 {
     char myargs[MYARGS_LEN];
-    int i, bufsize;
+    int bufsize;
     char *tempstr;
 
     memset(myargs, 0, MYARGS_LEN);
@@ -406,6 +406,8 @@ tcpprep_post_args(tcpprep_t *ctx, int argc, char *argv[])
      * cache file header
      */
     if (! ctx->options->nocomment) {
+        int i;
+
         /* copy all of our args to myargs */
         for (i = 1; i < argc; i ++) {
             /* skip the -C <comment> */
diff --git a/src/tcpreplay_api.c b/src/tcpreplay_api.c
index 5fe4ad0d3..8532b85e0 100644
--- a/src/tcpreplay_api.c
+++ b/src/tcpreplay_api.c
@@ -312,6 +312,7 @@ tcpreplay_post_args(tcpreplay_t *ctx, int argc)
                     OPT_ARG(INTF1));
         else
             tcpreplay_seterr(ctx, "Invalid interface name/alias: %s", OPT_ARG(INTF1));
+
         ret = -1;
         goto out;
     }
@@ -1319,7 +1320,6 @@ bool tcpreplay_get_flow_stats(tcpreplay_t *ctx)
     assert(ctx);
 
     return ctx->options->flow_stats;
-    return 0;
 }
 
 /**
diff --git a/src/tree.c b/src/tree.c
index 16862d25c..7a496fd58 100644
--- a/src/tree.c
+++ b/src/tree.c
@@ -299,7 +299,7 @@ check_ip_tree(const int mode, const unsigned long ip)
 tcpr_dir_t
 check_ip6_tree(const int mode, const struct tcpr_in6_addr *addr)
 {
-    tcpr_tree_t *node = NULL, *finder = NULL;
+    tcpr_tree_t *node, *finder;
 
     finder = new_tree();
     finder->family = AF_INET6;
@@ -608,13 +608,15 @@ tree_calculate(tcpr_data_tree_t *treeroot)
 static int
 ipv6_cmp(const struct tcpr_in6_addr *a, const struct tcpr_in6_addr *b)
 {
-    int i, k;
+    int i;
 
     for (i = 0; i < 4; i++) {
-       if ((k = (a->tcpr_s6_addr32[i] - b->tcpr_s6_addr32[i]))) {
-           return (k > 0) ? 1 : -1;
+        int k;
+        if ((k = (a->tcpr_s6_addr32[i] - b->tcpr_s6_addr32[i]))) {
+            return (k > 0) ? 1 : -1;
         }
     }
+
     return 0;
 }
 
